:host {
  z-index: 0;
  position: relative;
  display: flex;
  overflow: auto;

  /* stylelint-disable-next-line selector-class-pattern */
  &:not(._legacy) {
    /* stylelint-disable*/
    scrollbar-width: none;
    -ms-overflow-style: none;
    /* stylelint-enable*/

    &::-webkit-scrollbar,
    &::-webkit-scrollbar-thumb {
      background: transparent;
      width: 0;
      height: 0;
    }
  }

  /* stylelint-disable-next-line selector-class-pattern */
  &._legacy {
    /* stylelint-disable-next-line media-feature-name-no-vendor-prefix */
    @media all and (-webkit-min-device-pixel-ratio: 0) and (min-resolution: 0.001dpcm) {
      &::-webkit-scrollbar,
      &::-webkit-scrollbar-thumb {
        width: 1rem;
        height: 1rem;
        border-radius: 6.25rem;
        background-clip: padding-box;
        border: 2.667rem solid transparent;
      }

      &::-webkit-scrollbar {
        background-color: transparent;
      }

      &::-webkit-scrollbar-thumb {
        background-color: rgba(63 62 62 / 24%);
      }

      &::-webkit-scrollbar-thumb:hover {
        background-color: rgba(255 255 255 / 40%);
      }

      &::-webkit-scrollbar-thumb:active {
        background-color: rgba(255 255 255 / 60%);
      }
    }

    overflow: overlay;
  }
}

.t-content {
  position: relative;
  z-index: 0;
  flex: 1;
  flex-basis: auto;
  width: 100%;
  height: max-content;
}
